Bug 2219018 - kstars fails to launch ("symbol lookup error: kstars: undefined symbol: timestamp")
Summary: kstars fails to launch ("symbol lookup error: kstars: undefined symbol: times...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kstars
Version: 38
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-07-01 01:59 UTC by Nate Graham
Modified: 2023-09-12 15:49 UTC (History)
7 users (show)

Fixed In Version: kstars-3.6.6-1.fc38
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-11 01:16:58 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Nate Graham 2023-07-01 01:59:11 UTC
Description of problem:
KStars fails to launch with a symbol lookup error


Version-Release number of selected component (if applicable):
3.6.3


How reproducible:
100%


Steps to Reproduce:
1. Launch KStars via a GUI method


Actual results:
Nothing happens


Expected results:
It launches


Additional info:
If I run `kstars` in a terminal window, the error becomes clear:

$ /usr/bin/kstars
/usr/bin/kstars: symbol lookup error: /usr/bin/kstars: undefined symbol: timestamp

Comment 1 Nate Graham 2023-07-01 02:14:43 UTC
I can compile KStars myself and have no symbol error, so it would appear there is an issue in how the Fedora 38 package is built.

Comment 2 Fedora Update System 2023-09-02 11:57:51 UTC
FEDORA-2023-3ada07f606 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-3ada07f606

Comment 3 Fedora Update System 2023-09-03 02:22:53 UTC
FEDORA-2023-3ada07f606 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-3ada07f606`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-3ada07f606

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-09-11 01:16:58 UTC
FEDORA-2023-3ada07f606 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Nate Graham 2023-09-12 15:49:44 UTC
Can confirm it's fixed now. Thanks so much!


Note You need to log in before you can comment on or make changes to this bug.